import argparse
from paffi import load_topology, write_ampl_data

parser = argparse.ArgumentParser()
parser.add_argument("-i", "--input", help=".json input file for topology. Default = scenario.json")
parser.add_argument("-o", "--output", help="Name for output file. Default = problem.dat")
args = parser.parse_args()

infile = args.input if args.input else "scenario.json"

topology = load_topology(infile)
out = args.output if args.output else "problem"
write_ampl_data(out, topology)